Package anbxj

# Class Crypto_SealedPair

java.lang.Object
anbxj.Crypto_SealedPair

All Implemented Interfaces:
  `Serializable`

public class Crypto_SealedPair extends Object implements Serializable
Represents a sealed pair of objects (key, message) used for encryption.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_SealedPair(SealedObject sealedKey, SealedObject sealedMessage, String cipherScheme)`
  Constructs a Crypto_SealedPair with the specified sealed key, message, and cipher scheme.
  `Crypto_SealedPair(SealedObject sealedKey, SealedObject sealedMessage, String cipherScheme, Crypto_ByteArray digest)`
  Constructs a Crypto_SealedPair with the specified sealed key, message, cipher scheme, and digest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getCipherScheme()`
  Returns the cipher scheme used.
  `SealedObject`
  `getSealedKey()`
  Returns the sealed key.
  `SealedObject`
  `getSealedMessage()`
  Returns the sealed message.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Crypto_SealedPair

    public Crypto_SealedPair(SealedObject sealedKey, SealedObject sealedMessage, String cipherScheme)
    Constructs a Crypto_SealedPair with the specified sealed key, message, and cipher scheme.
    Parameters:
      `sealedKey` - The sealed key.
      `sealedMessage` - The sealed message.
      `cipherScheme` - The cipher scheme used for encryption.

  - ### Crypto_SealedPair

    public Crypto_SealedPair(SealedObject sealedKey, SealedObject sealedMessage, String cipherScheme, Crypto_ByteArray digest)
    Constructs a Crypto_SealedPair with the specified sealed key, message, cipher scheme, and digest.
    Parameters:
      `sealedKey` - The sealed key.
      `sealedMessage` - The sealed message.
      `cipherScheme` - The cipher scheme used for encryption.
      `digest` - The digest for checking equality of objects (for testing).

- ## Method Details

  - ### getCipherScheme

    public String getCipherScheme()
    Returns the cipher scheme used.
    Returns:
      the cipher scheme as a String.

  - ### getSealedKey

    public SealedObject getSealedKey()
    Returns the sealed key.

    This method provides the sealed key, which is an instance of `SealedObject`.

    Returns:
      the sealed key.

  - ### getSealedMessage

    public SealedObject getSealedMessage()
    Returns the sealed message.

    This method provides the sealed message, which is an instance of `SealedObject`.

    Returns:
      the sealed message.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`